from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContentProviderFactory(XInterface, Protocol):
    def createContentProvider(self, Service: str) -> XContentProvider: ...
